orte/mca/ns/ns_types.h File Reference.TH "orte/mca/ns/ns_types.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
orte/mca/ns/ns_types.h \- The Open MPI Name Server. 
.SH SYNOPSIS
.br
.PP
\fC#include 'orte_config.h'\fP
.br
\fC#include <limits.h>\fP
.br
\fC#include 'include/types.h'\fP
.br
\fC#include 'opal/class/opal_list.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBORTE_NAME_ARGS\fP(n)"
.br
.ti -1c
.RI "#define \fBORTE_NS_CMP_NONE\fP   0x00"
.br
.ti -1c
.RI "#define \fBORTE_NS_CMP_CELLID\fP   0x01"
.br
.ti -1c
.RI "#define \fBORTE_NS_CMP_JOBID\fP   0x02"
.br
.ti -1c
.RI "#define \fBORTE_NS_CMP_VPID\fP   0x04"
.br
.ti -1c
.RI "#define \fBORTE_NS_CMP_ALL\fP   0Xff"
.br
.ti -1c
.RI "#define \fBORTE_CELLID_MAX\fP   SIZE_MAX"
.br
.ti -1c
.RI "#define \fBORTE_JOBID_MAX\fP   SIZE_MAX"
.br
.ti -1c
.RI "#define \fBORTE_VPID_MAX\fP   SIZE_MAX"
.br
.ti -1c
.RI "#define \fBORTE_NAME_ALL\fP   &orte_name_all"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef size_t \fBorte_jobid_t\fP"
.br
.RI "\fISet the allowed range for ids in each space. \fP"
.ti -1c
.RI "typedef size_t \fBorte_cellid_t\fP"
.br
.ti -1c
.RI "typedef size_t \fBorte_vpid_t\fP"
.br
.ti -1c
.RI "typedef uint8_t \fBorte_ns_cmp_bitmask_t\fP"
.br
.RI "\fIBit mask for comparing process names. \fP"
.ti -1c
.RI "typedef uint8_t \fBorte_ns_cmd_flag_t\fP"
.br
.ti -1c
.RI "typedef orte_process_name_t \fBorte_process_name_t\fP"
.br
.ti -1c
.RI "typedef \fBorte_name_services_namelist_t\fP \fBorte_name_services_namelist_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "OMPI_DECLSPEC \fBOBJ_CLASS_DECLARATION\fP (\fBorte_name_services_namelist_t\fP)"
.br
.in -1c
.SS "Variables"

.in +1c
.ti -1c
.RI "orte_process_name_t \fBorte_name_all\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
The Open MPI Name Server. 

The Open MPI Name Server provides unique name ranges for processes within the universe. Each universe will have one name server running within the seed daemon. This is done to prevent the inadvertent duplication of names.
.SH "Define Documentation"
.PP 
.SS "#define ORTE_NAME_ARGS(n)"
.PP
\fBValue:\fP
.PP
.nf
(unsigned long) ((NULL == n) ? -1 : (ssize_t)(n)->cellid), \
    (unsigned long) ((NULL == n) ? -1 : (ssize_t)(n)->jobid), \
    (unsigned long) ((NULL == n) ? -1 : (ssize_t)(n)->vpid)
.fi
.SH "Typedef Documentation"
.PP 
.SS "typedef size_t \fBorte_jobid_t\fP"
.PP
Set the allowed range for ids in each space. 
.PP
NOTE: Be sure to update the ORTE_NAME_ARGS #define (above) and all uses of it if these types change to be larger than (unsigned long)! 
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
